package nlib.sch.service;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * @Class Name : CmmVO.java
 * @author Kdmistrator
 * @version 1.0
 * 상속 받아서 사용하는 공통 VO
 */
public class CmmVO implements Serializable{

	private static final long serialVersionUID = 1L;
	private String cntntsSeCode;
    private String searchCondition = "";
    private String searchKeyword = "";
    private String searchCondition2 = "";
    private String searchKeyword2 = "";
    private String searchCondition3 = "";
    private String searchKeyword3 = "";
    private String searchCondition4 = "";
    private String searchKeyword4 = "";
    private String searchCondition5 = "";
    private String searchKeyword5 = "";
    private String searchCondition6 = "";
    private String searchKeyword6 = "";
    private String searchCondition7 = "";
    private String searchCondition8 = "";
    private String searchKeywordWhole = "";
    private String searchConditionWhole = "";
    private String searchDateCondition = "";
    private Date searchStartDate = null;
    private Date searchEndDate = null;
    private String searchStartStr = null;
    private String searchEndStr = null;
    private String searchUseYn = "";
    private String searchType = "";
    private String searchType1 = "";
    private String searchType2 = "";
    private String searchType3 = "";
    private String searchType4 = "";
    private int pageIndex = 1;
    private int pageIndex2 = 1;
    private int pageIndex3 = 1;
    
    private int pageUnit = 12;
    private int pageUnit10 = 10;
    private int pageUnit20 = 20;
    private int pageUnit30 = 30;
    private int pageSize = 10;
    private int mobilePageSize = 5;
    private int firstIndex = 1;
    private int lastIndex = 1;
    private int recordCountPerPage = 10;
    private String orderCondition; 
    private String orderType; 
	private boolean isBr = false;
	private String pageUseAt = "Y";
	private int limit = 5;
	private String authorCode;
	private String targetId;
	private String sido = "";
	private String sigungu = "";
	private String sido2 = "";
	private String sigungu2 = "";
	private String dong = "";
	private String lon = "";
	private String lat = "";
	private String addr ="";
	private String xy ="";
	private String distance = "";
	private String tabCode = "";
	private int fixedPage = 0;
    private String activityType ="";
    private String contentType = "";
    private String toDay = "";
    private String parameter1 = "";
    private String parameter2 = "";
    private String parameter3 = "";
    private String parameter4 = "";
    private String parameter5 = "";
    private String parameter6 = "";
    private String sessionId = "";
	private boolean isTag = false;
	private String viewType = "";
	// 태그 명이 넘어가는 파라미터 
	private String searchTag = "";
	// 스크랩 여부(스크랩 활성 체크) : 존재하면 on , 존재하지 않으면 빈값 ""
	private String scrapActive = "";
	private String aId=""; // 에셋 아이디
	private String mId=""; // 에셋미디어 아이디
	private String [] searchLocaleArray; // 지역
	private String [] searchAssetClassArray; // 에셋유형 (ex. 일반, 특화, 문화원소장 등)
	private String [] searchAssetTypeArray; // 자산유형 (ex. 문서, 이미지, 동영상, 오디오, 링크 등)
	private String [] searchFirstCategoryArray; // 카테고리
	
	private String sCouncilCd="";
	private String gubun="";
	
	
	public CmmVO() {}
	public String getCntntsSeCode() {
		return cntntsSeCode;
	}

	public void setCntntsSeCode(String cntntsSeCode) {
		this.cntntsSeCode = cntntsSeCode;
	}

	public String getSearchCondition() {
		return searchCondition;
	}

	public void setSearchCondition(String searchCondition) {
		this.searchCondition = searchCondition;
	}

	public String getSearchKeyword() {
		return searchKeyword;
	}

	public void setSearchKeyword(String searchKeyword) {
		this.searchKeyword = searchKeyword;
	}

    public String getSearchCondition2() {
        return searchCondition2;
    }

    public void setSearchCondition2(String searchCondition2) {
        this.searchCondition2 = searchCondition2;
    }

    public String getSearchKeyword2() {
        return searchKeyword2;
    }

    public void setSearchKeyword2(String searchKeyword2) {
        this.searchKeyword2 = searchKeyword2;
    }

    public String getSearchCondition3() {
        return searchCondition3;
    }

    public void setSearchCondition3(String searchCondition3) {
        this.searchCondition3 = searchCondition3;
    }

    public String getSearchKeyword3() {
        return searchKeyword3;
    }

    public void setSearchKeyword3(String searchKeyword3) {
        this.searchKeyword3 = searchKeyword3;
    }
    public String getSearchCondition4() {
        return searchCondition4;
    }

    public void setSearchCondition4(String searchCondition4) {
        this.searchCondition4 = searchCondition4;
    }

    public String getSearchKeyword4() {
        return searchKeyword4;
    }

    public void setSearchKeyword4(String searchKeyword4) {
        this.searchKeyword4 = searchKeyword4;
    }

    public String getSearchCondition5() {
        return searchCondition5;
    }

    public void setSearchCondition5(String searchCondition5) {
        this.searchCondition5 = searchCondition5;
    }

    public String getSearchKeyword5() {
        return searchKeyword5;
    }

    public void setSearchKeyword5(String searchKeyword5) {
        this.searchKeyword5 = searchKeyword5;
    }

    public String getSearchCondition6() {
		return searchCondition6;
	}
	public void setSearchCondition6(String searchCondition6) {
		this.searchCondition6 = searchCondition6;
	}
	public String getSearchKeyword6() {
		return searchKeyword6;
	}
	
	public String getSearchCondition7() {
		return searchCondition7;
	}
	public void setSearchCondition7(String searchCondition7) {
		this.searchCondition7 = searchCondition7;
	}
	public String getSearchCondition8() {
		return searchCondition8;
	}
	public void setSearchCondition8(String searchCondition8) {
		this.searchCondition8 = searchCondition8;
	}
	public String getSearchKeywordWhole() {
		return searchKeywordWhole;
	}
	public void setSearchKeywordWhole(String searchKeywordWhole) {
		this.searchKeywordWhole = searchKeywordWhole;
	}
	public String getSearchConditionWhole() {
		return searchConditionWhole;
	}
	public void setSearchConditionWhole(String searchConditionWhole) {
		this.searchConditionWhole = searchConditionWhole;
	}
	public void setSearchKeyword6(String searchKeyword6) {
		this.searchKeyword6 = searchKeyword6;
	}
	public String getSearchDateCondition() {
		return searchDateCondition;
	}

	public void setSearchDateCondition(String searchDateCondition) {
		this.searchDateCondition = searchDateCondition;
	}

	public Date getSearchStartDate() {
		return searchStartDate;
	}

	public void setSearchStartDate(Date searchStartDate) {
		this.searchStartDate = searchStartDate;
	}

	public Date getSearchEndDate() {
		return searchEndDate;
	}
	
	public void setSearchEndDate(Date searchEndDate) {
		this.searchEndDate = searchEndDate;
	}
	

	public String getSearchStartStr() {
		return searchStartStr;
	}

	public void setSearchStartStr(String searchStartStr) {
		this.searchStartStr = searchStartStr;
	}

	public String getSearchEndStr() {
		return searchEndStr;
	}

	public void setSearchEndStr(String searchEndStr) {
		this.searchEndStr = searchEndStr;
	}

	public String getSearchUseYn() {
		return searchUseYn;
	}
	public void setSearchUseYn(String searchUseYn) {
		this.searchUseYn = searchUseYn;
	}

	public String getSearchType() {
		return StringUtils.defaultIfEmpty(searchType, "1") ;
	}

	public void setSearchType(String searchType) {
		this.searchType = searchType;
	}

	public String getSearchType1() {
		return StringUtils.defaultIfEmpty(searchType1, "1") ;
	}
	public void setSearchType1(String searchType1) {
		this.searchType1 = searchType1;
	}
	public String getSearchType2() {
		return StringUtils.defaultIfEmpty(searchType2, "1") ;
	}
	public void setSearchType2(String searchType2) {
		this.searchType2 = searchType2;
	}
	public String getSearchType3() {
		return StringUtils.defaultIfEmpty(searchType3, "1") ;
	}
	public void setSearchType3(String searchType3) {
		this.searchType3 = searchType3;
	}
	public String getSearchType4() {
		return StringUtils.defaultIfEmpty(searchType4, "1") ;
	}
	public void setSearchType4(String searchType4) {
		this.searchType4 = searchType4;
	}
	public int getPageIndex() {
		return this.pageIndex;
	}

	public void setPageIndex(int pageIndex) {
		this.pageIndex = pageIndex;
	}

	public int getPageIndex2() {
		return pageIndex2;
	}
	public void setPageIndex2(int pageIndex2) {
		this.pageIndex2 = pageIndex2;
	}
	
	public int getPageIndex3() {
		return pageIndex3;
	}
	public void setPageIndex3(int pageIndex3) {
		this.pageIndex3 = pageIndex3;
	}
	public int getPageUnit() {
		return pageUnit;
	}

	public void setPageUnit(int pageUnit) {
		this.pageUnit = pageUnit;
	}

	public int getPageUnit10() {
		return pageUnit10;
	}
	public void setPageUnit10(int pageUnit10) {
		this.pageUnit10 = pageUnit10;
	}
	
	public int getPageUnit20() {
		return pageUnit20;
	}
	public void setPageUnit20(int pageUnit20) {
		this.pageUnit20 = pageUnit20;
	}
	public int getPageUnit30() {
		return pageUnit30;
	}
	public void setPageUnit30(int pageUnit30) {
		this.pageUnit30 = pageUnit30;
	}
	
	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	
	public int getMobilePageSize() {
		return mobilePageSize;
	}
	public void setMobilePageSize(int mobilePageSize) {
		this.mobilePageSize = mobilePageSize;
	}
	public int getFirstIndex() {
		return firstIndex;
	}

	public void setFirstIndex(int firstIndex) {
		this.firstIndex = firstIndex;
	}

	public int getLastIndex() {
		return lastIndex;
	}

	public void setLastIndex(int lastIndex) {
		this.lastIndex = lastIndex;
	}

	public int getRecordCountPerPage() {
		return recordCountPerPage;
	}

	public void setRecordCountPerPage(int recordCountPerPage) {
		this.recordCountPerPage = recordCountPerPage;
	}

	public String getOrderCondition() {
		return orderCondition;
	}

	public void setOrderCondition(String orderCondition) {
		this.orderCondition = orderCondition;
	}
	public String getOrderType() {
		return orderType;
	}

	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	public boolean isBr() {
		return isBr;
	}

	public void setBr(boolean isBr) {
		this.isBr = isBr;
	}
	
	public String getPageUseAt() {
		return pageUseAt;
	}
	public void setPageUseAt(String pageUseAt) {
		this.pageUseAt = pageUseAt;
	}
	
	public int getLimit() {
		return limit;
	}
	public void setLimit(int limit) {
		this.limit = limit;
	}
	
	public String getAuthorCode() {
		return authorCode;
	}
	public void setAuthorCode(String authorCode) {
		this.authorCode = authorCode;
	}
	
	public String getTargetId() {
		return targetId;
	}
	public void setTargetId(String targetId) {
		this.targetId = targetId;
	}
	
	public String getSido() {
		return sido;
	}
	public void setSido(String sido) {
		this.sido = sido;
	}
	public String getSigungu() {
		return sigungu;
	}
	public void setSigungu(String sigungu) {
		this.sigungu = sigungu;
	}	
	public String getSido2() {
		return sido2;
	}
	public void setSido2(String sido2) {
		this.sido2 = sido2;
	}
	public String getSigungu2() {
		return sigungu2;
	}
	public void setSigungu2(String sigungu2) {
		this.sigungu2 = sigungu2;
	}
	public String getDong() {
		return dong;
	}
	public void setDong(String dong) {
		this.dong = dong;
	}
	public String getLon() {
		return lon;
	}
	public void setLon(String lon) {
		this.lon = lon;
	}
	public String getLat() {
		return lat;
	}
	public void setLat(String lat) {
		this.lat = lat;
	}
	
	public String getAddr() {
		return addr;
	}
	public void setAddr(String addr) {
		this.addr = addr;
	}
	public String getXy() {
		return xy;
	}
	public void setXy(String xy) {
		this.xy = xy;
	}
	
	public String getDistance() {
		return distance;
	}
	public void setDistance(String distance) {
		this.distance = distance;
	}
	
	public String getTabCode() {
		return tabCode;
	}
	public void setTabCode(String tabCode) {
		this.tabCode = tabCode;
	}
	
	
	public int getFixedPage() {
		return fixedPage;
	}
	public void setFixedPage(int fixedPage) {
		this.fixedPage = fixedPage;
	}
	
	public String getActivityType() {
		return activityType;
	}
	public void setActivityType(String activityType) {
		this.activityType = activityType;
	}
	public String getContentType() {
		return contentType;
	}
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	
	public String getToDay() {
		return toDay;
	}
	public void setToDay(String toDay) {
		this.toDay = toDay;
	}
	public String getParameter1() {
		return parameter1;
	}
	public void setParameter1(String parameter1) {
		this.parameter1 = parameter1;
	}
	public String getParameter2() {
		return parameter2;
	}
	public void setParameter2(String parameter2) {
		this.parameter2 = parameter2;
	}
	public String getParameter3() {
		return parameter3;
	}
	public void setParameter3(String parameter3) {
		this.parameter3 = parameter3;
	}
	public String getParameter4() {
		return parameter4;
	}
	public void setParameter4(String parameter4) {
		this.parameter4 = parameter4;
	}
	public String getParameter5() {
		return parameter5;
	}
	public void setParameter5(String parameter5) {
		this.parameter5 = parameter5;
	}
	public String getParameter6() {
		return parameter6;
	}
	public void setParameter6(String parameter6) {
		this.parameter6 = parameter6;
	}
	public String getSessionId() {
		return sessionId;
	}
	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}
	public boolean isTag() {
		return isTag;
	}
	public void setIsTag(boolean isTag) {
		this.isTag = isTag;
	}
	public String getViewType() {
		return viewType;
	}
	public void setViewType(String viewType) {
		this.viewType = viewType;
	}
	
	public String getSearchTag() {
		return searchTag;
	}
	public void setSearchTag(String searchTag) {
		this.searchTag = searchTag;
	}
	
	public String getScrapActive() {
		return scrapActive;
	}
	public void setScrapActive(String scrapActive) {
		this.scrapActive = scrapActive;
	}
	public String getaId() {
		return aId;
	}
	public void setaId(String aId) {
		this.aId = aId;
	}
	public String getmId() {
		return mId;
	}
	public void setmId(String mId) {
		this.mId = mId;
	}
	
	public String[] getSearchLocaleArray() {
		return searchLocaleArray;
	}
	public void setSearchLocaleArray(String[] searchLocaleArray) {
		this.searchLocaleArray = searchLocaleArray;
	}
	public String[] getSearchAssetClassArray() {
		return searchAssetClassArray;
	}
	public void setSearchAssetClassArray(String[] searchAssetClassArray) {
		this.searchAssetClassArray = searchAssetClassArray;
	}
	
	public String[] getSearchAssetTypeArray() {
		return searchAssetTypeArray;
	}
	public void setSearchAssetTypeArray(String[] searchAssetTypeArray) {
		this.searchAssetTypeArray = searchAssetTypeArray;
	}	
	public String getsCouncilCd() {
		return sCouncilCd;
	}
	public void setsCouncilCd(String sCouncilCd) {
		this.sCouncilCd = sCouncilCd;
	}
	
	public String[] getSearchFirstCategoryArray() {
		return searchFirstCategoryArray;
	}
	public void setSearchFirstCategoryArray(String[] searchFirstCategoryArray) {
		this.searchFirstCategoryArray = searchFirstCategoryArray;
	}
	
	public String getGubun() {
		return gubun;
	}
	public void setGubun(String gubun) {
		this.gubun = gubun;
	}
	/**
	 * toString
	 * @return String
	 */
    public String toString() {
    	return ToStringBuilder.reflectionToString(this);
    }

}
